//SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#include "post.h"

Request::Post::Post (const QUrl& url, const QUrlQuery& form):
    Request(url),
    form(form)
{}

void Request::Post::aquireRequest (QNetworkAccessManager& manager) {
    reply = std::unique_ptr<QNetworkReply, NetworkReplyDeleter>(manager.post(request, form.toString(QUrl::FullyEncoded).toUtf8()));
}

void Request::Post::initializeRequest () {
    request.setHeader(QNetworkRequest::ContentTypeHeader, urlEncoded);
}
